Uploaded image for project: 'CarbonData'
  1. CarbonData
  2. CARBONDATA-3951

Documentation not available for upgrading carbondata from older to newer version

Attach filesAttach ScreenshotAdd voteVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 1.6.1
    • Fix Version/s: 2.0.0
    • Component/s: core
    • Labels:
      None
    • Environment:
      RHEL 7.x

      Description

      Hi Team,

       

      We are doing a POC where we want to upgrade carbondata inside our application  from old version to latest version.

       

      Due to lack of documentation, We are not able to move ahead as we are not sure about he steps needs to be followed to perform the upgrade and then verify if it has been done successfully without any issue.

       

      We tried replacing jars with newer ones but we got below exception:

       

                      ============================================

                                      Exception in thread "main" java.lang.reflect.InvocationTargetException

              at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

              at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

              at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

              at java.lang.reflect.Method.invoke(Method.java:498)

              at org.apache.spark.util.CarbonReflectionUtils$.getSessionState(CarbonReflectionUtils.scala:223)

              at org.apache.spark.sql.CarbonSession.sessionState$lzycompute(CarbonSession.scala:57)

              at org.apache.spark.sql.CarbonSession.sessionState(CarbonSession.scala:56)

              at org.apache.spark.sql.CarbonSession$CarbonBuilder.getOrCreateCarbonSession(CarbonSession.scala:258)

              at org.apache.spark.sql.CarbonSession$CarbonBuilder.getOrCreateCarbonSession(CarbonSession.scala:165)

              at persistent.diamond.Server.start(Server.java:176)

              at persistent.diamond.Server.main(Server.java:595)

      Caused by: java.lang.NoSuchMethodError: org.apache.spark.sql.catalyst.parser.AbstractSqlParser: method <init>()V not found

              at org.apache.spark.sql.parser.CarbonSparkSqlParser.<init>(CarbonSparkSqlParser.scala:39)

              at org.apache.spark.sql.hive.CarbonSessionStateBuilder.sqlParser$lzycompute(CarbonSessionState.scala:204)

              at org.apache.spark.sql.hive.CarbonSessionStateBuilder.sqlParser(CarbonSessionState.scala:204)

              at org.apache.spark.sql.internal.BaseSessionStateBuilder.build(BaseSessionStateBuilder.scala:292)

              ... 11 more

                      ============================================

       

      Could you please help here to resolve above issue and clearly define the steps for upgrade.

       

      Regards

      Suyash Yadav

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              imsuyashyadav suyash yadav

              Dates

              • Created:
                Updated:

                Issue deployment